\version "2.24.4"

global = {
    \clef "G_8"
    \key a \minor
    \set harmonicDots = ##t
    \set Staff.connectArpeggios = ##t
}

\paper {
%       annotate-spacing = ##t
        print-page-number = ##t
        print-first-page-number = ##t
        first-page-number = #1
        page-count = #2
%        system-count = #21
       % max-systems-per-page = #9
%        max-systems-per-page = #10
       % systems-per-page = #9

        #(set-paper-size "arch a")

        top-margin = 12 \mm
        bottom-margin = 8 \mm
        left-margin = 18 \mm
        right-margin = 18 \mm
        top-system-spacing =
                #'((basic-distance . 16)
                   (minimum-distance . 14)
                   (padding . 4))
%                   (stretchability . 4))

        system-system-spacing =
            #'((basic-distance . 20 )
               (minimum-distance . 17)
               (padding . 2)
               (stretchability . 4))

        ragged-last-bottom = ##f
        ragged-bottom = ##f
}

\header {
  title = \markup \center-column {
		\null
		\fontsize #3.0
		"Prelude No 3"
		\null
	}

  composer = \markup \center-column {
	\fontsize #2.0
	 "Heitor Villa-Lobos (1887 - 1959)"
		\null
	}

%  style = "Romantic"
%  meter = "" 
%  opus = 
%  piece = "   " 
%  poet = " " 
  maintainer = "Steve Shorter"
  lastupdated = "2025/Jan"

}

H = \once \override NoteHead.style = #'harmonic-black
N = \once \override NoteHead.style = #'harmonic
A = \arpeggio

extendLV = #(define-music-function (parser location further) (number?)
#{
        \once \override LaissezVibrerTie #'X-extent = #'(0 . 0)
        \once \override LaissezVibrerTie #'details #'note-head-gap = #(/ further -2.1)
        \once \override LaissezVibrerTie #'extra-offset = #(cons (/ further 1.6 ) 0)
#})

TDna =  \shape #'((-0.0 . -0.3)(-0.0 . -0.3)(0.0 . -0.3)(-0.0 . -0.3)) Tie

\include "3/guitar.ly"
\include "3/dynamics.ly"
\include "3/spacing.ly"
\include "3/coda.ly"

#(set-global-staff-size 20)

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 18)
                   (minimum-distance . 15 )
                   (padding . 4))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" }

	     <<  \global \dynamics \spacing  \guitar >>

 \layout {
    \context {
	\Score
%         \override NonMusicalPaperColumn.line-break-permission = ##f
%	 \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
}

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 14)
                   (minimum-distance . 10)
                   (padding . 2))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" }

             << \global \coda >>

 \layout {
%        top-margin = 10 \mm
%       indent = #0
        system-count = #1
%       ragged-right = ##t
%       line-width = #150
        ragged-last = ##t
    \context {
      \Score
        \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/48)
%   \override NonMusicalPaperColumn.line-break-permission = ##f
%        \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
}

